Package org.eclipse.gef.mvc.fx.operations

## Class ReverseUndoCompositeOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.mvc.fx.operations.AbstractCompositeOperation
    - - org.eclipse.gef.mvc.fx.operations.ReverseUndoCompositeOperation

All Implemented Interfaces:
  `ICompositeOperation`, `IUndoableOperation`, `ITransactionalOperation`

    public class ReverseUndoCompositeOperation
    extends AbstractCompositeOperation

The `ReverseUndoCompositeOperation` is an `AbstractCompositeOperation` which undoes its combined operations in the reverse order of their execution.

### Constructor Summary

Constructors
`ReverseUndoCompositeOperation​(java.lang.String label)` Creates a new `ReverseUndoCompositeOperation` with the given label.

### Method Summary

All Methods Instance Methods Concrete Methods
`IStatus` `undo​(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.gef.mvc.fx.operations.AbstractCompositeOperation

`add, addAll, addContext, canExecute, canRedo, canUndo, combine, execute, getOperations, isContentRelevant, isEmpty, isNoOp, redo, remove, unwrap`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`dispose, getContexts, getLabel, hasContext, removeContext`

### Constructor Detail

#### ReverseUndoCompositeOperation

    public ReverseUndoCompositeOperation​(java.lang.String label)

Creates a new `ReverseUndoCompositeOperation` with the given label.

Parameters:
  `label` - The operation's label.

### Method Detail

#### undo

    public IStatus undo​(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Overrides:
  `undo` in class `AbstractCompositeOperation`
Throws:
  `ExecutionException`